import e from "./_baseIsMatch.js";
import t from "./_getMatchData.js";
import n from "./_matchesStrictComparable.js";
//#region ../../node_modules/lodash-es/_baseMatches.js
function r(r) {
	var i = t(r);
	return i.length == 1 && i[0][2] ? n(i[0][0], i[0][1]) : function(t) {
		return t === r || e(t, r, i);
	};
}
//#endregion
export { r as default };
